> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代幣 - 統計（批次）

> 批次取得多個代幣的統計資料



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml GET /v2/token/{chain}/stats/multi
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 區塊鏈相關操作
  - name: Token
    description: 代幣相關操作
  - name: Trade
    description: 交易相關操作
  - name: Wallet
    description: 錢包相關操作
  - name: Dex
    description: DEX 相關操作
  - name: Ranking
    description: 排行榜相關操作
  - name: DexPool
    description: DEX 池子相關操作
  - name: Watchlist
    description: 關注列表相關操作
  - name: KYT
    description: KYT 相關操作
  - name: Webhook
    description: Webhook 相關操作
  - name: RedPacket
    description: 紅包相關操作
  - name: IPFS
    description: IPFS 相關操作
  - name: DexScreener
    description: DexScreener 相關操作
paths:
  /v2/token/{chain}/stats/multi:
    get:
      tags:
        - Token
      summary: 代幣 - 統計（批次）
      description: 批次取得多個代幣的統計資料
      operationId: get.stats.multi
      parameters:
        - name: chain
          in: path
          description: 支援網路列表中的鏈名稱
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddresses
          in: query
          description: 代幣地址列表，以逗號 (,) 分隔的字串。最多允許 100 個代幣地址
          required: true
          schema:
            type: string
          example: >-
            6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN,EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
      responses:
        '200':
          description: 批次取得統計
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  description: Token statistics with nested time period data
                  required:
                    - address
                    - periods
                  properties:
                    address:
                      type: string
                      description: 代幣合約地址
                      example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                    periods:
                      type: object
                      description: >-
                        Trade statistics grouped by time period (1m, 5m, 15m,
                        30m, 1h, 4h, 6h, 24h).

                        Each period contains full OHLCV data, trade counts, and
                        previous-period comparisons.

                        See `TokenTradeStatPeriod` schema for all fields.
                      additionalProperties:
                        $ref: '#/components/schemas/TokenTradeStatPeriod'
                      propertyNames:
                        type: string
                      example:
                        6h:
                          buyVolumeInUsd: '12000.00'
                          buyers: '120'
                          buys: '420'
                          closeInUsd: '0.15600000'
                          currentLiquidityInUsd: '250000.00'
                          highInUsd: '0.15900000'
                          lowInUsd: '0.15100000'
                          openInUsd: '0.15200000'
                          priceChangeRatioInUsd: '0.02631579'
                          sellVolumeInUsd: '9800.00'
                          sellers: '95'
                          sells: '360'
                          totalVolumeInUsd: '21800.00'
                          traders: '215'
                          trades: '780'
                propertyNames:
                  type: string
              example:
                6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN:
                  address: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
                  periods:
                    6h:
                      buyVolume: '5000000.12345678'
                      buyVolumeInUsd: '12000.00'
                      buyers: '120'
                      buys: '420'
                      closeInUsd: '0.15600000'
                      highInUsd: '0.15900000'
                      lowInUsd: '0.15100000'
                      openInUsd: '0.15200000'
                      priceChangeRatioInUsd: '0.02631579'
                      sellVolume: '4200000.98765432'
                      sellVolumeInUsd: '9800.00'
                      sellers: '95'
                      sells: '360'
                      totalVolumeInUsd: '21800.00'
                      traders: '215'
                      trades: '780'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenTradeStatPeriod:
      type: object
      description: Single time window trade statistics period
      properties:
        averagePriceInNative:
          type: string
          description: 平均價格（原生代幣計）
          example: '0.00005100'
        averagePriceInUsd:
          type: string
          description: 平均價格（USD 計）
          example: '0.15300000'
        buySellRatio:
          type:
            - string
            - 'null'
          description: 買賣比
          example: '1.5510'
        buyVolume:
          type: string
          description: 買入量（代幣數量）
          example: '15000000.12345678'
        buyVolumeInNative:
          type: string
          description: 買入量（原生代幣計）
          example: '750.50'
        buyVolumeInUsd:
          type: string
          description: 買入量（USD 計）
          example: '45000.00'
        buyers:
          type: string
          description: 獨立買方數量
          example: '320'
        buys:
          type: string
          description: 買入交易次數
          example: '1520'
        closeInNative:
          type: string
          description: 收盤價（原生代幣計）
          example: '0.00005200'
        closeInUsd:
          type: string
          description: 收盤價（USD 計）
          example: '0.15600000'
        currentLiquidityInUsd:
          type: string
          description: 目前流動性（USD 計）
          example: '250000.00'
        dappProgramCount:
          type: string
          description: DEX 程式數量
          example: '8'
        highInNative:
          type: string
          description: 最高價（原生代幣計）
          example: '0.00005300'
        highInUsd:
          type: string
          description: 最高價（USD 計）
          example: '0.15900000'
        liquidityChangeRatio:
          type:
            - string
            - 'null'
          description: 流動性變化率（對比上一週期）
          example: '0.0417'
        lowInNative:
          type: string
          description: 最低價（原生代幣計）
          example: '0.00005000'
        lowInUsd:
          type: string
          description: 最低價（USD 計）
          example: '0.15000000'
        openInNative:
          type: string
          description: 開盤價（原生代幣計）
          example: '0.00005000'
        openInUsd:
          type: string
          description: 開盤價（USD 計）
          example: '0.15000000'
        poolCount:
          type: string
          description: 流動性池數量
          example: '12'
        prevBuyVolume:
          type: string
          description: 上一週期買入量（代幣數量）
          example: '14000000.00'
        prevBuyVolumeInNative:
          type: string
          description: 上一週期買入量（原生代幣計）
          example: '700.00'
        prevBuyVolumeInUsd:
          type: string
          description: 上一週期買入量（USD 計）
          example: '42000.00'
        prevBuyers:
          type: string
          description: 上一週期獨立買方數量
          example: '300'
        prevBuys:
          type: string
          description: 上一週期買入次數
          example: '1400'
        prevCloseInNative:
          type: string
          description: 上一週期收盤價（原生代幣計）
          example: '0.00005100'
        prevCloseInUsd:
          type: string
          description: 上一週期收盤價（USD 計）
          example: '0.15100000'
        prevDappProgramCount:
          type: string
          description: 上一週期 DEX 程式數量
          example: '7'
        prevHighInNative:
          type: string
          description: 上一週期最高價（原生代幣計）
          example: '0.00005100'
        prevHighInUsd:
          type: string
          description: 上一週期最高價（USD 計）
          example: '0.15200000'
        prevLiquidityInUsd:
          type: string
          description: 上一週期流動性（USD 計）
          example: '240000.00'
        prevLowInNative:
          type: string
          description: 上一週期最低價（原生代幣計）
          example: '0.00004800'
        prevLowInUsd:
          type: string
          description: 上一週期最低價（USD 計）
          example: '0.14500000'
        prevOpenInNative:
          type: string
          description: 上一週期開盤價（原生代幣計）
          example: '0.00004900'
        prevOpenInUsd:
          type: string
          description: 上一週期開盤價（USD 計）
          example: '0.14800000'
        prevPoolCount:
          type: string
          description: 上一週期池數量
          example: '10'
        prevSellVolume:
          type: string
          description: 上一週期賣出量（代幣數量）
          example: '11000000.00'
        prevSellVolumeInNative:
          type: string
          description: 上一週期賣出量（原生代幣計）
          example: '550.00'
        prevSellVolumeInUsd:
          type: string
          description: 上一週期賣出量（USD 計）
          example: '33000.00'
        prevSellers:
          type: string
          description: 上一週期獨立賣方數量
          example: '200'
        prevSells:
          type: string
          description: 上一週期賣出次數
          example: '900'
        prevTrades:
          type: string
          description: 上一週期總交易次數
          example: '2300'
        priceChangeRatioInUsd:
          type: string
          description: 價格變化率（USD 計）
          example: '0.04000000'
        sellVolume:
          type: string
          description: 賣出量（代幣數量）
          example: '12000000.98765432'
        sellVolumeInNative:
          type: string
          description: 賣出量（原生代幣計）
          example: '600.40'
        sellVolumeInUsd:
          type: string
          description: 賣出量（USD 計）
          example: '36000.00'
        sellers:
          type: string
          description: 獨立賣方數量
          example: '210'
        sells:
          type: string
          description: 賣出交易次數
          example: '980'
        totalVolumeInNative:
          type: string
          description: 總交易量（原生代幣計）
          example: '1350.90'
        totalVolumeInUsd:
          type: string
          description: 總交易量（USD 計）
          example: '81000.00'
        traders:
          type: string
          description: 獨立交易者數量
          example: '530'
        trades:
          type: string
          description: 總交易次數
          example: '2500'
        updatedAt:
          type:
            - string
            - 'null'
          description: 最後更新時間戳
          example: '2026-02-09T08:05:12.345Z'
        volumeChangeRatio:
          type:
            - string
            - 'null'
          description: 交易量變化率（對比上一週期）
          example: '0.25'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````